package info.aspirecn.cloud.yysj.cloudyysjagency;

import info.aspirecn.cloud.yysj.cloudyysjagency.config.filter.VueIndexFilter;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@SpringBootApplication
@EnableSwagger2
public class Application {

	public static void main(String[] args) {
		SpringApplication.run(Application.class, args);
	}

	@Bean
	public FilterRegistrationBean vueIndexFilter() {
		FilterRegistrationBean registrationBean = new FilterRegistrationBean();
		registrationBean.addUrlPatterns("/*");
		registrationBean.setName("vueIndexFilter");
		registrationBean.setOrder(1);
		registrationBean.setFilter(new VueIndexFilter());
		return registrationBean;
	}

}
