package info.aspirecn.cloud.yysj.cloudyysjagency.controller;

import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote.QueryParam;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.SystemBusyException;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.TokenIsEmptyException;
import info.aspirecn.cloud.yysj.cloudyysjagency.service.YysjAgencyService;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/api/costQuery")
public class CostController {
    @Autowired
    public YysjAgencyService yysjAgencyService;


    @ApiOperation(value = "充值记录", notes = "充值记录列表")
    @PostMapping("/queryrecharge")
    public Object queryRechargeInfoList(@ApiParam(value = "用户ID")
                                         @RequestBody QueryParam queryParam,
                                         HttpServletRequest request, HttpServletResponse response) {
        String token = request.getHeader("token");
        if (StringUtils.isEmpty(token)) {
            throw new TokenIsEmptyException("请求头token为空");
        }
        Object object = yysjAgencyService.queryRechargeInfoList(queryParam, token, response);
        if (object == null) {
            throw new SystemBusyException("充值记录接口返回为空");
        }
        return object;
    }

    @ApiOperation(value = "账单明细管理", notes = "账单列表")
    @PostMapping("/querybill")
    public Object queryBillList(HttpServletResponse response,
                                 @ApiParam(value = "用户ID")
                                 @RequestBody QueryParam queryParam, HttpServletRequest request) {
        String token = request.getHeader("token");
        if (StringUtils.isEmpty(token)) {
            throw new TokenIsEmptyException("请求头token为空");
        }
        Object object = yysjAgencyService.queryBillList(response, queryParam, token);
        if (object == null) {
            throw new SystemBusyException("账单明细管理接口返回为空");
        }
        return object;
    }

}
