package info.aspirecn.cloud.yysj.cloudyysjagency.controller;

import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote.DriverDetailsRequest;
import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote.DriverInfoRequest;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.SystemBusyException;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.TokenIsEmptyException;
import info.aspirecn.cloud.yysj.cloudyysjagency.service.YysjAgencyService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/api/driverQuery")
public class DriverController {
    @Autowired
    private YysjAgencyService yysjAgencyService;

    @ApiOperation(value = "查询司机校验信息列表接口", notes = "获取司机校验信息列表接口。")
    @PostMapping("/getDriverList")
    public Object getDriverList(@RequestBody DriverInfoRequest driverInfoRequest, HttpServletRequest request, HttpServletResponse response) {
        String token = request.getHeader("token");
        if (StringUtils.isEmpty(token)) {
            throw new TokenIsEmptyException("请求头token为空");
        }
        Object object = yysjAgencyService.getDriverList(driverInfoRequest, token, response);
        if (object == null) {
            throw new SystemBusyException("查询司机校验信息列表接口返回为空");
        }
        return object;
    }

    @ApiOperation(value = "司机详情接口", notes = "司机详情接口。")
    @PostMapping("/getDriverDetails")
    public Object getDriverDetails(@RequestBody DriverDetailsRequest driverDetailsRequest,
                                    HttpServletRequest request, HttpServletResponse response) {
        String token = request.getHeader("token");
        if (StringUtils.isEmpty(token)) {
            throw new TokenIsEmptyException("请求头token为空");
        }
        Object object = yysjAgencyService.getDriverDetails(driverDetailsRequest, token, response);
        if (object == null) {
            throw new SystemBusyException("查询司机详情信息接口返回为空");
        }
        return object;
    }
}
