package info.aspirecn.cloud.yysj.cloudyysjagency.controller;

import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote.IdentityQueryParam;
import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote.LivingQueryParam;
import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote.WaybillQueryParam;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.SystemBusyException;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.TokenIsEmptyException;
import info.aspirecn.cloud.yysj.cloudyysjagency.service.YysjAgencyService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/api/eidQuery")
public class EidController {

    @Autowired
    private YysjAgencyService yysjAgencyService;

    @ApiOperation(value = "活体查询列表", notes = "活体信息列表")
    @PostMapping("/queryLivingList")
    public Object queryLivingList(HttpServletResponse response,
                                    HttpServletRequest request,
                                    @RequestBody LivingQueryParam livingQueryParam) {
        String token = request.getHeader("token");
        if (StringUtils.isEmpty(token)) {
            throw new TokenIsEmptyException("请求头token为空");
        }
        Object object = yysjAgencyService.queryLivingList(livingQueryParam,token,response);
        if (object == null) {
            throw new SystemBusyException("运单列表接口返回为空");
        }
        return object;
    }

    @ApiOperation(value = "身份认证查询列表", notes = "身份认证信息列表")
    @PostMapping("/queryIdentityList")
    public Object queryIdentityList(HttpServletResponse response,
                                  HttpServletRequest request,
                                  @RequestBody IdentityQueryParam identityQueryParam) {
        String token = request.getHeader("token");
        if (StringUtils.isEmpty(token)) {
            throw new TokenIsEmptyException("请求头token为空");
        }
        Object object = yysjAgencyService.queryIdentityList(identityQueryParam,token,response);
        if (object == null) {
            throw new SystemBusyException("运单列表接口返回为空");
        }
        return object;
    }
}
