package info.aspirecn.cloud.yysj.cloudyysjagency.controller;

import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.GetTokenRequest;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.ParamaterException;
import info.aspirecn.cloud.yysj.cloudyysjagency.exceptions.TokenIsEmptyException;
import info.aspirecn.cloud.yysj.cloudyysjagency.service.YysjAgencyService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/api/authentication")
public class LoginController {


    @Autowired
    private YysjAgencyService yysjAgencyService;

    @PostMapping("/login")
    public Object getTokenTest(@RequestBody GetTokenRequest getTokenRequest, HttpServletResponse response) {
        if (StringUtils.isEmpty(getTokenRequest.getUserId()) || StringUtils.isEmpty(getTokenRequest.getPassword())) {
            throw new ParamaterException("请求参数为空");

        }
        return yysjAgencyService.login(getTokenRequest, response);
    }

    @ApiOperation(value = "云验平台退出接口", notes = "退出接口")
    @ApiImplicitParams({@ApiImplicitParam(name = "userId", value = "userId", required = true, dataType = "String")})
    @GetMapping("/logout")
    public Object logout(HttpServletRequest request, HttpServletResponse response) {
        String token = request.getHeader("token");
        if (StringUtils.isEmpty(token)) {
            throw new TokenIsEmptyException("请求头token为空");
        }
        Object object = yysjAgencyService.logout(token, response);
        return object;
    }
}
