package info.aspirecn.cloud.yysj.cloudyysjagency.service;

import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.GetTokenRequest;
import info.aspirecn.cloud.yysj.cloudyysjagency.entity.request.remote.*;
import javax.servlet.http.HttpServletResponse;

public interface YysjAgencyService {
    /**
     * 登录接口
     */
    Object login(GetTokenRequest getTokenRequest, HttpServletResponse response);

    /**
     * 车辆查询接口
     */
    Object queryCarList(CarQueryParam carQueryParam, String token, HttpServletResponse response);

    /**
     * 车辆详情信息接口的实现
     *
     * @param carId
     * @param token
     * @return
     */
    Object queryCarInfo(String carId, String token, HttpServletResponse response);

    /**
     * 充值记录接口的实现
     *
     * @param queryParam
     * @param token
     * @return
     */
    Object queryRechargeInfoList(QueryParam queryParam, String token, HttpServletResponse response);

    /**
     * 调账单明细关系接口
     */
    Object queryBillList(HttpServletResponse response, QueryParam queryParam, String token);

    /**
     * 调运单列表
     */
    Object queryWaybillList(HttpServletResponse response,
                                WaybillQueryParam waybillQueryParam,
                                String token);

    /**
     * 调运单详情
     *
     * @param waybillId
     * @param toekn
     * @param response
     * @return
     */
    Object querywaybillinfo(String waybillId,
                            String token,
                            HttpServletResponse response);

    /**
     * 查询司机校验信息列表接口
     */
    Object getDriverList(DriverInfoRequest driverInfoRequest,
                         String token,
                         HttpServletResponse response);

    /**
     * 查询司机详情信息接口
     * @param driverDetailsRequest
     * @param token
     * @param response
     * @return
     */
    Object getDriverDetails(DriverDetailsRequest driverDetailsRequest,
                            String token,
                            HttpServletResponse response);

    /**
     *
     * @param token
     * @param response
     * @return
     */
    Object getAccountInfo(String token, HttpServletResponse response);

    /**
     * 产品消费信息接口
     */
    Object getConsumptionInfo(String token, HttpServletResponse response);

    /**
     * 主订单统计信息
     * @param token
     * @param response
     * @return
     */
    Object getOrderStatistics(String token, HttpServletResponse response);

    /**
     * 总订单统计信息
     * @param startTime
     * @param endTime
     * @param token
     * @param response
     * @return
     */
    Object getCountStatistics(String startTime,String endTime,String token,HttpServletResponse response);

    /**
     * 异常效验统计信息
     * @return
     */
    Object getErrorStatistics(String startTime,String endTime,String token,HttpServletResponse response);

    /**
     * 新建产品接口
     * @param produce
     * @param token
     * @param response
     * @return
     */
    Object saveProduce(Produce produce, String token, HttpServletResponse response);

    /**
     * 查询产品列表接口
     * @param produceList
     * @param token
     * @param response
     * @return
     */
    Object productList(ProduceList produceList,String token, HttpServletResponse response);
    
    
     /**
     * 查询产品名称列表接口
     * @param produceList
     * @param token
     * @param response
     * @return
     */
    Object getProductNameList(String token, HttpServletResponse response);

    /**
     * 取消产品订购接口
     * @return
     */
    Object deleteUserProduce(Integer produceId,
                             String produceName,
                             String token,
                             HttpServletResponse response);

    /**
     * 订购产品接口
     */
    Object saveUserProduce(UserProduce userProduce,String token,HttpServletResponse response);

    /**
     * 获取订购产品数量
     */
    Object getOrderProductCount(String token,HttpServletResponse response);

    /**
     * 退出
     * @param token
     * @param response
     * @return
     */
    Object logout(String token,HttpServletResponse response);

    /**
     * 订单
     */
    Object getOrderList(String orderId, String startTime,String endTime, Integer pageNum,Integer pageSize,String token,HttpServletResponse response);

    /**
     * 订单详情
     */
    Object getOrderDetail(String orderId,String token,HttpServletResponse response);


    /**
     * 身份认证列表查询接口
     */
    Object queryIdentityList(IdentityQueryParam identityQueryParam, String token, HttpServletResponse response);

    /**
     * 活体列表查询接口
     */
    Object queryLivingList(LivingQueryParam livingQueryParam, String token, HttpServletResponse response);

}
